Error
A valid request URL is required to generate request examples{
"articlesByPk": {
"code": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>",
"purchasePrice": "<unknown>",
"sellingPrice": "<unknown>",
"status": "<unknown>",
"type": "<string>",
"unit": "<string>"
}
}Articles
Retrieve an article
Returns an article by its id.
GET
/
articles
/
{id}
Error
A valid request URL is required to generate request examples{
"articlesByPk": {
"code": "<string>",
"description": "<string>",
"id": 123,
"name": "<string>",
"purchasePrice": "<unknown>",
"sellingPrice": "<unknown>",
"status": "<unknown>",
"type": "<string>",
"unit": "<string>"
}
}Returns an article by its id.
Response
{
"articlesByPk": {
"id": 11,
"code": "CAM-PEEK",
"name": "Came PEEK",
"unit": "pce",
"type": "FINISHED_GOOD",
"status": "ACTIVE",
"sellingPrice": 85
}
}
Headers
API token from your Bonx space.
Path Parameters
"id" is required as part of the path
Response
200 - application/json
Response
Articles with physical reality (= manage-able in stock). This table includes all article types (raw materials, semi-finished, finished products, consumables, etc.)
Show child attributes
Show child attributes
Was this page helpful?